1.1
1.1
post /v1/users
Description
create a user
State ACTIVE (SUPPORTED)
| Version | Supported Until |
|---|---|
| 1.1 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | UserCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | UserResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/users
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam-identity-center 1.1"
Request body
{
"business_unit": "Business Unit A",
"department": "Department X",
"description": "Description of John Doe",
"email": "john.doe@example.com",
"employee_id": "emp-12345",
"group_ids": [
"39520424-440c-41c0-9b9c-f22b2129f6f9",
"80c53fe1-4e27-4cce-92be-151cf0f2873e"
],
"instance_id": "ssoins-12345",
"manager": "Alice Smith",
"name": "John Doe",
"nation_id": "+82",
"password": "",
"phone_number": "010-1234-5678",
"temporary_password": true,
"user_id": "johndoe"
}
Example HTTP response
Response 201
{
"user": {
"business_unit": "Business Unit A",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"creator_name": "John Doe",
"department": "Department X",
"description": "Description of John Doe",
"email": "john.doe@example.com",
"email_authenticated": false,
"employee_id": "emp-12345",
"groups": [],
"id": "138c2fc8c29a449dbfa8681f8f1d78e2",
"instance_id": "ssoins-12345",
"last_login_at": "2024-12-19 01:09:05.000",
"last_password_update_at": "2025-11-24T08:14:51.694996",
"manager": "Alice Smith",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"modifier_name": "Smith",
"name": "John Doe",
"nation_id": "+82",
"password": "",
"password_failed_count": 6,
"password_reuse_count": 6,
"phone_authenticated": false,
"phone_number": "010-1234-5678",
"temporary_password": "",
"tz_id": "Asia/Seoul",
"user_id": "johndoe"
}
}